Bug 597625 - anaconda writes own rule to 70-persistent-net.rules instead of copying existing
anaconda writes own rule to 70-persistent-net.rules instead of copying existing
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
6.0
s390x Linux
high Severity high
: rc
: 6.0
Assigned To: Radek Vykydal
Release Test Team
:
Depends On:
Blocks: 597206
  Show dependency treegraph
 
Reported: 2010-05-29 16:46 EDT by Steffen Maier
Modified: 2010-11-10 14:46 EST (History)
3 users (show)

See Also:
Fixed In Version: anaconda-13.21.51-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 14:46:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steffen Maier 2010-05-29 16:46:24 EDT
Description of problem:
REGRESSION of bug 526322.

Version-Release number of selected component (if applicable):
RHEL6.0-20100523.0
anaconda-13.21.45-1.el6.s390x

How reproducible:
Install over the network on s390x.
I did "repair" /etc/sysconfig/network-scripts/ifcfg-eth0 before connecting with vnc in order to circumvent all the annoying other regressions regarding network on s390x.

Actual results:
After the first reboot, 70-persistent-net.rules looks broken like this and the network device comes up as eth1 instead of eth0 as it should be:

# This file was automatically generated by the /lib/udev/write_net_rules  
# program run by the persistent-net-generator.rules rules file.  
#  
# You can modify it, as long as you keep each rule on a single line.  
  
# Network Interface (rule written by anaconda)  
SUBSYSTEM=="net", ACTION=="add", DRIVERS=="?*", ATTR{address}=="00:11:25:bd:da:6
6", ATTR{type}=="1", KERNEL=="eth*", NAME="eth0"  
  
# S/390 qeth device at 0.0.f5f0  
SUBSYSTEM=="net", ACTION=="add", DRIVERS=="qeth", KERNELS=="0.0.f5f0", ATTR{type
}=="1", KERNEL=="eth*", NAME="eth1"  


Expected results:
Anaconda copies 70-persistent-net.rules if it exists under /etc/udev/rules.d/ to /mnt/sysimage/etc/udev/rules.d/ instead of writing its own x86-specific rule.
Comment 2 RHEL Product and Program Management 2010-05-29 19:45:39 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Radek Vykydal 2010-05-31 08:02:30 EDT
Updates image with patch:
http://rvykydal.fedorapeople.org/updates.597205.597625.img
Comment 4 Jan Stodola 2010-06-08 08:15:44 EDT
Tried updates img from comment 3, anaconda thrown a traceback at the end of the installation. However, the /etc/udev/rules.d/70-persistent-net.rules was copied to /mnt/sysimage/etc/udev/rules.d/.

anaconda 13.21.50 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/instdata.py", line 154, in write
    self.network.disableNMForStorageDevices(self.anaconda,
  File "/usr/lib/anaconda/backend.py", line 316, in writeConfiguration
    anaconda.id.write()
  File "/usr/lib/anaconda/dispatch.py", line 208, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 126, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1335, in nextClicked
    self.anaconda.dispatch.gotoNext()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 79, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 1356, in handleRenderCallback
    self.currentWindow.renderCallback()
AttributeError: Network instance has no attribute 'disableNMForStorageDevices'
Comment 5 Radek Vykydal 2010-06-14 11:43:13 EDT
(In reply to comment #4)

>   File "/usr/lib/anaconda/gui.py", line 1356, in handleRenderCallback
>     self.currentWindow.renderCallback()
> AttributeError: Network instance has no attribute 'disableNMForStorageDevices'    

Thanks for retesting, the traceback is unrelated fallout of updates image.

This should be fixed in anaconda-13.21.51-1.
Comment 7 Jan Stodola 2010-07-02 08:36:33 EDT
Tested on build RHEL6.0-20100701.0 with anaconda-13.21.56-1.el6. 70-persistent-net.rules was copied during the installation.

Moving to VERIFIED.
Comment 8 releng-rhel@redhat.com 2010-11-10 14:46:21 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.